Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5013 - Default prompt set to values ksh doesn't properly interpret
Summary: Default prompt set to values ksh doesn't properly interpret
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: pdksh
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-09 05:17 UTC by Jeremy Katz
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-16 17:40:41 UTC


Attachments (Terms of Use)

Description Jeremy Katz 1999-09-09 05:17:10 UTC
This is actually from Lorax, but the package is the same at
the present time (pdksh-5.2.14-1).

PS1 is set to be [\u@\h \W] but ksh isn't interpreting them
as special sequences and leaving that verbatim as the
prompt.  This is due to the fact that ksh reads /etc/profile
as it's startup file as well as bash and the two don't share
identical syntax.

Comment 1 Bill Nottingham 2000-02-16 17:40:59 UTC
This will be fixed in setup-2.1.6, as the prompt will be set in /etc/bashrc.


Note You need to log in before you can comment on or make changes to this bug.